package com.philisense.www.service.impl;


import com.philisense.www.dao.ProResourceActionDAO;
import com.philisense.www.service.ProResourceActionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProResourceActionServiceImpl implements ProResourceActionService {

    @Autowired
    private ProResourceActionDAO proResourceActionDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return proResourceActionDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proResourceActionDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proResourceActionDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proResourceActionDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proResourceActionDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proResourceActionDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proResourceActionDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proResourceActionDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proResourceActionDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proResourceActionDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proResourceActionDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proResourceActionDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proResourceActionDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getProResourceTreeByParentid(Map<String, Object> map) {
        return proResourceActionDAO.getProResourceTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProResourceTreeByLevelCode(Map<String, Object> map) {
        return proResourceActionDAO.getProResourceTreeByLevelCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proResourceActionDAO.updateDropNode(map);
    }

    @Override
    public List<Map<String, Object>> getAllForProResourceAction(Map<String, Object> map) {
        return proResourceActionDAO.getAllForProResourceAction(map);
    }

    @Override
    public List<Map<String, Object>> getAllForProResourceActionByUserId(Map<String, Object> map) {
        return proResourceActionDAO.getAllForProResourceActionByUserId(map);
    }
}
